# class Gem::Resolver::Molinillo::DependencyGraph::Action

An action that modifies a {DependencyGraph} that is reversible. @abstract

### Attributes

next[RW]

@return [Action,Nil] The next action

previous[RW]

@return [Action,Nil] The previous action

### Public Class Methods

action_name() click to toggle source

@return [Symbol] The name of the action.

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/action.rb, line 11
    def self.action_name
      raise 'Abstract'
    end

### Public Instance Methods

down(graph) click to toggle source

Reverses the action on the given graph. @param [DependencyGraph] graph the graph to reverse the action on. @return [Void]

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/action.rb, line 25
    def down(graph)
      raise 'Abstract'
    end

up(graph) click to toggle source

Performs the action on the given graph. @param [DependencyGraph] graph the graph to perform the action on. @return [Void]

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/action.rb, line 18
    def up(graph)
      raise 'Abstract'
    end